<html>

<body>
  <script src="../dist/ifml-moddle.umd.js"></script>
  <script type="text/javascript">
    async function start() {

      const moddle = new IfmlModdle();

      const xmlStr =
        '<?xml version="1.0" encoding="UTF-8"?>' +
        '<xmi:XMI xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ifml="http://www.omg.org/spec/IFML/20140301" xmlns:ifmldi="http://www.omg.org/spec/IFML/20130218/IFML-DI" xmlns:xmi="http://www.omg.org/spec/XMI/20131001">' +
        '<ifml:iFMLModel>' +
        '<ifml:interactionFlowModel id="_myModel" />' +
        '</ifml:iFMLModel>' +
        '<ifmldi:iFMLDiagram modelElement="_myModel" />' +
        '</xmi:XMI>';


      const {
        rootElement: definitions
      } = await moddle.fromXML(xmlStr);

      // update id attribute
      definitions.set('id', 'NEW ID');

      // add a root element
      const ifmlViewContainer = moddle.create('ifml:ViewContainer', {
        id: 'MyContainer'
      });
      var modelElements = definitions.get('ifmlModel')[0].get('interactionFlowModel').get(
        'interactionFlowModelElements');
      modelElements.push(ifmlViewContainer);

      moddle.toXML(definitions).then(function (xml) {
        console.log(xml);
      })

    }
    start();
  </script>
  <p>Modified IFML should be shown in the config</p>
</body>

</html>